Description

After filling all the data for a solaris build, it fails with the following error,

Failed to enable host.example.com for installation: Failed to generate PXEGrub template: undefined method `[]' for nil:NilClass

in the log it says,

Started GET "/hosts/host.example.com/setBuild" for 10.127.242.231 at Tue Sep 04 20:12:24 -0500 2012

Processing by HostsController#setBuild as HTML

Parameters: {"id"=>"host.example.com"}

Add the TFTP configuration for host.example.com

Failed to generate PXEGrub template: undefined method `[]' for nil:NilClass

Fetching required TFTP boot files for host.example.com

Rolling back due to a problem:

Delete the TFTP configuration for host.example.com

Failed to save: Failed to generate PXEGrub template: undefined method `[]' for nil:NilClass

Redirected to http://foreman:3000/hosts/host.example.com

Completed 302 Found in 248ms

History

#1 - 09/05/2012 02:26 AM - Ohad Levy

- Status changed from New to Need more information

Did you assign a PXEgrub template to your OS?

#2 - 09/05/2012 08:24 AM - Gustavo Varela

Yes, and if you hit the resolve button when editing the host on Provisioning Templates, Templates resolve correctly.

#3 - 09/05/2012 08:24 AM - Ohad Levy

ok, so this most likely an issue with the template it self, can you paste it somewhere?

#4 - 09/05/2012 08:28 AM - Gustavo Varela

I think this is the one that came as default,

default=0

timeout=10

title Solaris_10 Jumpstart

        kernel <%= multiboot %> kernel/unix - install dhcp nowin -B install_config=<%= jumpstart_path %>,sysid

_config=<%= jumpstart_path %>/sysidcfg/sysidcfg_primary,install_media=<%= install_path %>,install_boot=<%= ins

tall_path %>/boot

        module <%= miniroot %>

title Solaris 10

        findroot (rootfs0,0,a)

        kernel$ /platform/i86pc/multiboot
        module /platform/i86pc/boot_archive

#5 - 09/05/2012 08:31 AM - Ohad Levy

if you remove the build checkbox, would it allow you to save the host?

then, if it does, when you click on the host (in the list) under the templates tab, can you try rendering the pxe template?

I'm looking for a full trace that could let us know where the error is coming from

#6 - 09/05/2012 08:38 AM - Gustavo Varela

Here it's the output from, http://foreman:3000/unattended/provision?spoof=IP

install_type initial_install

partitioning explicit

filesys c0t0d0s0 7000 /

filesys c0t0d0s1 1000 swap

filesys c0t0d0s3 15 unnamed

filesys c0t0d0s7 free /tmp2

system_type standalone

cluster SUNWCreq

#7 - 09/06/2012 08:35 PM - Gustavo Varela

This was fixed. My configuration was incorrect on the Installation Media section,

from the wiki,

Name: Solaris Install Media

Path: http://server/Solaris/install/Solaris_$major.$minor_$arch_$release

Media Path: server:/Solaris/install/Solaris_$major.$minor_$arch_$release

Config Path: server:/jumpstart

Image Path: server:/Solaris/images

Thanks for the help!

#8 - 06/19/2013 05:43 AM - Benjamin Papillon

- Status changed from Need more information to Resolved
